package com.pcloud.book.advertising.biz;

import com.pcloud.book.advertising.entity.AdvertisingCpaPaySyncRecord;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * (AdvertisingCpaPaySyncRecord)表服务接口
 *
 * @author makejava
 * @since 2022-12-09 16:41:33
 */
public interface AdvertisingCpaPaySyncRecordBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AdvertisingCpaPaySyncRecord getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param advertisingCpaPaySyncRecord 实例对象
     * @return 主键
     */
    Long insert(AdvertisingCpaPaySyncRecord advertisingCpaPaySyncRecord);

    /**
     * 修改数据
     *
     * @param advertisingCpaPaySyncRecord 实例对象
     */
    void update(AdvertisingCpaPaySyncRecord advertisingCpaPaySyncRecord);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

}
