package com.pcloud.book.advertising.entity;

import java.util.Date;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * (AdvertisingCpaPaySyncRecord)实体类
 *
 * @author makejava
 * @since 2022-12-09 19:24:49
 */
@Data
public class AdvertisingCpaPaySyncRecord extends BaseEntity {

    private static final long serialVersionUID = 1;
    
    @ApiModelProperty("权益配置id")
    private Long id;
    
    @ApiModelProperty("订单号")
    private String orderNum;
    
    @ApiModelProperty("调用链接")
    private String apiUrl;
    
    @ApiModelProperty("调用参数")
    private String apiBody;
    
    @ApiModelProperty("调用结果")
    private String apiResult;
    
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    
    @ApiModelProperty("动作code")
    private String actionCode;
    
    @ApiModelProperty("消息")
    private String msg;
    
}
