/**
 *
 */
package com.pcloud.book.book.vo;

import com.pcloud.channelcenter.qrcode.dto.QrcodeSceneDto;
import com.pcloud.common.dto.BaseDto;

import lombok.Data;

import java.util.List;

/**
 * 魔方书刊
 */
@Data
public class MoFangBookDto extends BaseDto {

    /**
     *
     */
    private static final long serialVersionUID = -162839217433038629L;

    /**
     * 书籍标识
     */
    private Long bookId;

    private String bookName;

    /**
     * 资源数量
     */
    private Integer resourceCount;

    /**
     * 跳转地址
     */
    private String jumpUrl;

    /**
     * 封面图
     */
    private String coverImg;

    /**
     * rays码列表
     */
    private List<QrcodeSceneDto> sceneList;

    private Integer type;

    private Long id;
}
